Package org.apache.solr.common.util

# Class NamedList.NamedListEntry<T>

java.lang.Object
java.util.AbstractMap.SimpleEntry<String,T>
org.apache.solr.common.util.NamedList.NamedListEntry<T>

All Implemented Interfaces:
  `Serializable`, `Map.Entry<String,T>`

Enclosing class:
  `NamedList<T>`

@Deprecated public static final class NamedList.NamedListEntry<T> extends AbstractMap.SimpleEntry<String,T>
Deprecated.
Helper class implementing Map.Entry<String, T> to store the key-value relationship in NamedList (the keys of which are String-s)

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NamedListEntry(String _key, T _value)`
Deprecated.

## Method Summary

### Methods inherited from class java.util.AbstractMap.SimpleEntry

`equals, getKey, getValue, hashCode, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NamedListEntry

public NamedListEntry(String _key, T _value)
Deprecated.